%define name	gnomeradio
%define version	1.8

Summary:	A FM-Tuner program for Gnome
Name:		%{name}
Version:	%{version}
Release:	%mkrel 5
License:	GPLv2+
Group:		Sound
Source0:	http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio/packages/%{name}-%{version}.tar.gz
Patch0:		gnomeradio-1.8-description.patch
Patch1:		gnomeradio-1.8-glib-threading.patch
Patch4:		gnomeradio-1.8-fix-str-fmt.patch
Patch5:		gnomeradio-1.8-v4l1.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://mfcn.ilo.de/gnomeradio/
BuildRequires:	pkgconfig
BuildRequires:	libgnomeui2-devel
BuildRequires:	scrollkeeper
BuildRequires:	liblirc-devel
BuildRequires:	gnome-common
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	perl-XML-Parser
BuildRequires:	libv4l-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libcddb-slave2-devel
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:  gnome-doc-utils

%description
Gnomeradio is a FM radio tuner for the GNOME desktop.
It should work with every FM tuner card that is supported
by video4linux. Remote controls are supported via
lirc-support. Gnomeradio can also record radio as Wave,
MP3 or Ogg files.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch4 -p1
%patch5 -p0

%build
%configure2_5x --disable-scrollkeeper --disable-install-schemas
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Audio;Tuner" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%{find_lang} %{name} --with-gnome

%if %mdkversion < 200900
%post
%update_menus
%update_scrollkeeper
%post_install_gconf_schemas %name
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas %name

%if %mdkversion < 200900
%postun
%clean_menus
%clean_scrollkeeper
%clean_icon_cache hicolor
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog README.lirc README.recording TODO
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/gnomeradio.schemas
%{_datadir}/applications/gnomeradio.desktop
%dir %{_datadir}/omf/gnomeradio
%{_datadir}/omf/gnomeradio/gnomeradio-C.omf
%lang(es) %{_datadir}/omf/%{name}/gnomeradio-es.omf
%lang(fr) %{_datadir}/omf/%{name}/gnomeradio-fr.omf
%lang(oc) %{_datadir}/omf/%{name}/gnomeradio-oc.omf
%lang(sv) %{_datadir}/omf/gnomeradio/gnomeradio-sv.omf
%{_iconsdir}/hicolor/*/*/*


%changelog
* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 1.8-5mdv2011.0
+ Revision: 677735
- fix build with latest kernel
- rebuild to add gconftool as req

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8-4mdv2011.0
+ Revision: 610942
- rebuild

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 1.8-3mdv2010.1
+ Revision: 528370
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 1.8-1mdv2009.1
+ Revision: 355231
- drop unneeded patches
- New version 1.8

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 1.7-3mdv2009.0
+ Revision: 277926
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.7-2mdv2009.0
+ Revision: 266923
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 1.7-1mdv2009.0
+ Revision: 212518
- New version 1.7
- BR libcddb-slave2-devel
- New version

  + Jérôme Soyer <saispo@mandriva.org>
    - Add BR
    - Add BuildRequires
    - New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Sep 08 2006 Götz Waschk <waschk@mandriva.org> 1.6-3mdv2007.0
- xdg menu

* Mon Jan 09 2006 Marcel Pol <mpol@mandriva.org> 1.6-2mdk
- rebuild for new openssl
- buildrequires perl-XML-Parser

* Sun Jul 31 2005 Marcel Pol <mpol@mandriva.org> 1.6-1mdk
- 1.6

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5-0.20041208.3mdk 
- Rebuild with latest howl
- add schema uninstall

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 1.5-0.20041208.2mdk
- buildrequires intltool

* Wed Dec 08 2004 Marcel Pol ,mpol@mandrake.org> 1.5-0.20041208.1mdk
- cvs snapshot
- buildrequires gnome-common automake1.7
- update filelist

